compact3
javax.xml.crypto.dsig

## Interface Manifest

- All Superinterfaces:
    XMLStructure

      public interface Manifest
      extends XMLStructure

  A representation of the XML `Manifest` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

       <element name="Manifest" type="ds:ManifestType"/>
         <complexType name="ManifestType">
           <sequence>
             <element ref="ds:Reference" maxOccurs="unbounded"/>
           </sequence>
           <attribute name="Id" type="ID" use="optional"/>
         </complexType>

  A `Manifest` instance may be created by invoking one of the `newManifest` methods of the `XMLSignatureFactory` class; for example:

         XMLSignatureFactory factory = XMLSignatureFactory.getInstance("DOM");
         List references = Collections.singletonList(factory.newReference
             ("#reference-1", DigestMethod.SHA1));
         Manifest manifest = factory.newManifest(references, "manifest-1");

  Since:
    1.6
  See Also:
    `XMLSignatureFactory.newManifest(List)`, `XMLSignatureFactory.newManifest(List, String)`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `TYPE` | URI that identifies the `Manifest` element (this can be specified as the value of the `type` parameter of the `Reference` class to identify the referent's type).

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getId()` | Returns the Id of this `Manifest`.
    `List` | `getReferences()` | Returns an `unmodifiable list` of one or more `Reference`s that are contained in this `Manifest`.

    - ### Methods inherited from interface javax.xml.crypto.XMLStructure

      `isFeatureSupported`

- - ### Field Detail

    - #### TYPE

          static final String TYPE

      URI that identifies the `Manifest` element (this can be specified as the value of the `type` parameter of the `Reference` class to identify the referent's type).
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getId

          String getId()

      Returns the Id of this `Manifest`.
      Returns:
        the Id of this `Manifest` (or `null` if not specified)

    - #### getReferences

          List getReferences()

      Returns an `unmodifiable list` of one or more `Reference`s that are contained in this `Manifest`.
      Returns:
        an unmodifiable list of one or more `Reference`s

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.